delete (or propose to) all files of a shapefile with browser

2017-08-18 11:52 AM - Loïc BARTOLETTI

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 24931

Description

Hello,

When you delete a shapefile in browser not all files are removed:

.cpg stay (an optional file to .dbf)

.idx (an alternative index from AutoCad Map and other)

It would be nice to have a list of the files remaining with the same name (and to be able to delete them by selecting them if you wish)

Related issues:

Related to QGIS Application - Bug report # 21495: Deleting shapefiles from th... Closed 2019-03-06

History

#1 - 2017-08-18 11:55 AM - Alessandro Pasotti

I think this is an upstream OGR/GDAL bug: I'm using GDAL/OGR API do delete the layers.

See: https://github.com/qgis/QGIS/blob/master/src/providers/ogr/qgsogrprovider.cpp#L4331

#2 - 2017-08-18 11:59 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to up/downstream

#3 - 2017-08-18 05:27 PM - Loïc BARTOLETTI

Alessandro Pasotti wrote:

I think this is an upstream OGR/GDAL bug: I'm using GDAL/OGR API do delete the layers.

See: https://github.com/qgis/QGIS/blob/master/src/providers/ogr/qgsogrprovider.cpp#L4331

OK, I understand that is not a problem with QGis but with GDAL/OGR API, and so it's not a bug but for an end user, the folder it's not cleaned.

So, what about to have a feature to answer some (maybe bad...) usages? I have exposed a simple case, but also you can have user which using the same

name of a layer and want also remove (or rename) it like a .pdf or .txt...

Thanks.

#4 - 2017-08-22 11:01 AM - Loïc BARTOLETTI
- Status changed from Closed to Reopened

#5 - 2017-08-22 11:31 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

Why reopened? If there is a good reason this should be left here, and the resolution field changed.

#6 - 2017-08-24 08:36 AM - Loïc BARTOLETTI

Sorry, I did not see that my message was not added, my bad.

I reopened the subject because I posted a message after its closure and I think that even if it is not a bug of QGis, the users can hope for a "complete"

cleaning of files (it is the same thing for a renaming). It would be nice to indicate to the user that files having the same name were not deleted and to

propose its deletion (the same for renaming).

If you prefer, we change a bug report to a feature request.

#7 - 2017-08-24 11:35 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Tracker changed from Bug report to Feature request

- Subject changed from delete shapefile in browser to delete (or propose to) all files of a shapefile with browser

- Resolution deleted (up/downstream)

#8 - 2018-04-04 10:26 AM - Frank Sokolic

.qpj files are not deleted either. Deleting these files could also be part of the feature request.

#9 - 2019-03-31 09:41 PM - Andrea Giudiceandrea

- Related to Bug report #21495: Deleting shapefiles from the browser panel does not delete all the files added

#10 - 2019-03-31 11:33 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in gdal
